Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class DataCollectionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--ru.biosoft.access.DataCollectionEvent

public class DataCollectionEvent
extends EventObject

Implements event change in a collection .

Field Summary
`final static int` | `ELEMENT_ADDED` Indicates, that in a collection the new element was added.
`final static int` | `ELEMENT_CHANGED` Indicates, that the element of a collection was modified.
`final static int` | `ELEMENT_REMOVED` Indicates, that the element of a collection was removed

Constructor Summary
`DataCollectionEvent(Object source, int type, DataElement dataElement, DataCollectionEvent primaryEvent)` Constructs the DataCollectionEvent object.

Method Summary
`DataElement` | `getDataElement()` Gets a data element, which was added,modified or removed.
`DataCollectionEvent` | `getPrimaryEvent()`
`int` | `getType()` Gets the type of event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT_ADDED

    public final static int ELEMENT_ADDED

  Indicates, that in a collection the new element was added.

### ELEMENT_CHANGED

    public final static int ELEMENT_CHANGED

  Indicates, that the element of a collection was modified.

### ELEMENT_REMOVED

    public final static int ELEMENT_REMOVED

  Indicates, that the element of a collection was removed

Constructor Detail

### DataCollectionEvent

    public DataCollectionEvent(Object source, int type, DataElement dataElement, DataCollectionEvent primaryEvent)

  Constructs the DataCollectionEvent object.
  Parameters:
    source - The source which has caused events
    type
    - ELEMENT_CHANGED
    - ELEMENT_ADDED
    - ELEMENT_REMOVED
    dataElement changed,removed - or added element

Method Detail

### getDataElement

    public DataElement getDataElement()

  Gets a data element, which was added,modified or removed.
  Returns: data element

### getPrimaryEvent

    public DataCollectionEvent getPrimaryEvent()

  todo comment

### getType

    public int getType()

  Gets the type of event. Possible values:
  - ELEMENT_ADDED
  - ELEMENT_CHANGED
  - ELEMENT_REMOVED
  Returns: type of event

Association Links

to Class ru.biosoft.access.DataElement

to Class ru.biosoft.access.DataCollectionEvent

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM